Subject: bug#22534: File notify broken on Windows

From: Michael Albinus <[email-masked]>
Date: Tue, 08 Mar 2016 08:44:30 +0100

Fabrice Popineau <[email-masked]> writes:

[Added [email-masked] to Cc]

> Ok, patch attached.
>
> The remaining DebPrint() should be left in case of problems.
> They all indicate some sort of error (I think).
>
> I have a disagreement on this test:
>
> diff --git a/test/lisp/filenotify-tests.el
> b/test/lisp/filenotify-tests.el
> index bc64f86..20e01fc 100644
> --- a/test/lisp/filenotify-tests.el
> +++ b/test/lisp/filenotify-tests.el
> @@ -530,7 +530,7 @@ file-notify--test-with-events
> ;; w32notify does not distinguish between `changed' and
> ;; `attribute-changed'.
> ((string-equal (file-notify--test-library) "w32notify")
> - '(changed changed changed changed))
> + '(changed changed))
> ;; For kqueue and in the remote case, `write-region'
> ;; raises also an `attribute-changed' event.
> ((or (string-equal (file-notify--test-library) "kqueue")
>
> At least on Windows 10, I get only 2 notifications and not 4.
> Could you or Michael check about it?

As soon as I get a compiled Emacs for w32, including your patch, I'll
test it. It will be on a Windows 7 machine, hope there are no
differences to your test.

> Best regards,

Best regards, Michael.